<ion-header>
  <ion-toolbar color="success">
    <ion-title>Signature</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  <ion-button expand="full" (click)="scanCode()">Scan Code</ion-button>
  <ion-card *ngIf="scannedCode">
    <ion-card-content>
      Result : {{ scannedCode }}
    </ion-card-content>
  </ion-card>

  <div class="signature-pad">
    <div>
      <canvas
        class="signature-pad-canvas"
        #sPad
        width="900"
        height="600"
        style="touch-action: none;"
      ></canvas>
    </div>
  </div>

  <ion-toolbar>
    <ion-button (click)="clear()">
      <ion-icon name="trash"> </ion-icon> CLEAR
    </ion-button>
    <ion-button (click)="undo()">
      <ion-icon name="arrow-undo"> </ion-icon> UNDO
    </ion-button>
    <ion-button color="success" [disabled]="isCanvasBlank()" (click)="save()">
      <ion-icon name="checkmark"> </ion-icon> SAVE
    </ion-button>
  </ion-toolbar>
</ion-content>
